/* Y o u r   D e s c r i p t i o n                       */
/*                            AppBuilder Photon Code Lib */
/*                                         Version 1. 1B */

/* Standard headers */
#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>
#include <string.h>

/* Toolkit headers */
#include <Ph.h>
#include <Pt.h>
#include <Ap.h>

/* Local headers */
#include "abimport.h"
#include "proto.h"

PtInputId_t	*iproc = NULL;

int
start_blink( PtWidget_t *widget, ApInfo_t *apinfo, PtCallbackInfo_t *cbinfo )

	{

	/* eliminate 'unreferenced' warnings */
	widget = widget, apinfo = apinfo, cbinfo = cbinfo;

	if ( !iproc )
		iproc = PtAppAddInput( NULL, 0, blink_update, NULL );

	return( Pt_CONTINUE );

	}

int
blink_update( void *data, pid_t proxy, PhEvent_t *event, int event_size )

	{
	long		*flags;
	PtArg_t		args[1];

	data = data;

	PtSetArg( &args[0], Pt_ARG_FLAGS, &flags, 0 );
	PtGetResources( ABW_blinker, 1, args );

	if ( *flags & Pt_REALIZED )
		PtUnrealizeWidget( ABW_blinker );
	else
		PtRealizeWidget( ABW_blinker );

	/* must flush changes when inside an input procedure */
	PtFlush( );

	return( Pt_CONTINUE );
	}

